- mysql-common: return error in stop-action if kill fails to stop

the process, so the node can get fenced

  Resolves: rhbz#2145260
This commit is contained in:
Oyvind Albrigtsen 2022-11-24 11:32:33 +01:00
parent 2418fd58d6
commit b4234f673e
2 changed files with 34 additions and 1 deletions

View File

@ -0,0 +1,25 @@
From 97a05e0e662ed922c9ecd016b39ab90ee233d5c9 Mon Sep 17 00:00:00 2001
From: Oyvind Albrigtsen <oalbrigt@redhat.com>
Date: Thu, 24 Nov 2022 10:36:56 +0100
Subject: [PATCH] mysql-common: return error in stop-action if kill fails to
stop the process, so the node can get fenced
---
heartbeat/mysql-common.sh | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/heartbeat/mysql-common.sh b/heartbeat/mysql-common.sh
index 34e1c6748..8104019b0 100755
--- a/heartbeat/mysql-common.sh
+++ b/heartbeat/mysql-common.sh
@@ -318,6 +318,10 @@ mysql_common_stop()
if [ $? != $OCF_NOT_RUNNING ]; then
ocf_log info "MySQL failed to stop after ${shutdown_timeout}s using SIGTERM. Trying SIGKILL..."
/bin/kill -KILL $pid > /dev/null
+ mysql_common_status info $pid
+ if [ $? != $OCF_NOT_RUNNING ]; then
+ return $OCF_ERR_GENERIC
+ fi
fi
ocf_log info "MySQL stopped";

View File

@ -45,7 +45,7 @@
Name: resource-agents
Summary: Open Source HA Reusable Cluster Resource Scripts
Version: 4.10.0
Release: 27%{?rcver:%{rcver}}%{?numcomm:.%{numcomm}}%{?alphatag:.%{alphatag}}%{?dirty:.%{dirty}}%{?dist}
Release: 28%{?rcver:%{rcver}}%{?numcomm:.%{numcomm}}%{?alphatag:.%{alphatag}}%{?dirty:.%{dirty}}%{?dist}
License: GPLv2+ and LGPLv2+
URL: https://github.com/ClusterLabs/resource-agents
Source0: %{upstream_prefix}-%{upstream_version}.tar.gz
@ -87,6 +87,7 @@ Patch34: bz2111147-azure-events-az-new-ra.patch
Patch35: bz2134411-IPsrcaddr-proto-metric-scope-default-route-fixes.patch
Patch36: bz2142002-Filesystem-add-support-for-Amazon-EFS.patch
Patch37: bz2127121-nfsserver-nfsv4_only-parameter.patch
Patch38: bz2145260-mysql-common-return-error-if-kill-fails.patch
# bundled ha-cloud-support libs
Patch500: ha-cloud-support-aws.patch
@ -248,6 +249,7 @@ exit 1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
# bundled ha-cloud-support libs
%patch500 -p1
@ -569,6 +571,12 @@ rm -rf %{buildroot}/usr/share/doc/resource-agents
%{_usr}/lib/ocf/lib/heartbeat/OCF_*.pm
%changelog
* Thu Nov 24 2022 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.10.0-28
- mysql-common: return error in stop-action if kill fails to stop
the process, so the node can get fenced
Resolves: rhbz#2145260
* Tue Nov 22 2022 Oyvind Albrigtsen <oalbrigt@redhat.com> - 4.10.0-27
- nfsserver: add nfsv4_only parameter to make it run without
rpc-statd/rpcbind services